Key-value storage
Get a list of key-value pairs
The key-value storage keeps the parameters (such as text color, company name, or others) and their values, which are used in email templates for client notifications. The parameters and their values are stored as key-value pairs. Use this method to obtain a list of defined key-value pairs.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?unknown
Sorts the items by a specified value
Default
"createTime"filter?
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/storage/values?limit=10&offset=0&sort_order=desc" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "isEnabled": true, "tags": [ { "id": 1, "caption": "email_config", "isEnabled": true, "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" } ], "type": "string", "key": "support_email", "value": "support@example.com", "createTime": "2022-01-01T00:00:00+00:00", "updateTime": "2022-01-01T00:00:00+00:00" } ]}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}